gqueue_node Struct Reference
adt gqueue: Generic simple queue.

`#include <gqueue.h>`

## Data Fields

struct gqueue_node * | next
char | data [0]

## Detailed Description

Generic queue node.

## Field Documentation

## data

char gqueue_node::data[0]

The data contained in the queue node.

Referenced by gqueue_pop(), gqueue_push(), and gqueue_top().

## next

struct gqueue_node* gqueue_node::next

Pointer to the next element in the queue linked list.

Referenced by gqueue_pop(), and gqueue_push().

The documentation for this struct was generated from the following file:

- gqueue.h